.\" Copyright (c) 1997
.\"	John-Mark Gurney.  All rights reserved.
.\"
.\" Redistribution and use in source and binary forms, with or without
.\" modification, are permitted provided that the following conditions
.\" are met:
.\" 1. Redistributions of source code must retain the above copyright
.\"    notice, this list of conditions and the following disclaimer.
.\" 2. Redistributions in binary form must reproduce the above copyright
.\"    notice, this list of conditions and the following disclaimer in the
.\"    documentation and/or other materials provided with the distribution.
.\" 3. Neither the name of the author nor the names of any co-contributors
.\"    may be used to endorse or promote products derived from this software
.\"    without specific prior written permission.
.\"
.\" THIS SOFTWARE IS PROVIDED BY John-Mark Gurney AND CONTRIBUTORS ``AS IS''
.\" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
.\" IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
.\" ARE DISCLAIMED.  IN NO EVENT SHALL THE AUTHOR OR CONTRIBUTORS BE LIABLE
.\" FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
.\" DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
.\" OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
.\" HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
.\" LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
.\" OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
.\" SUCH DAMAGE.
.\"
.\"
.Dd February 6, 1997
.Dt BRANDELF 1
.Os FreeBSD
.Sh NAME
.Nm brandelf
.Nd mark an ELF binary for a specific ABI
.Sh SYNOPSIS
.Nm brandelf
.Op Fl f
.Op Fl v
.Op Fl t Ar string
.Ar file ...
.Sh DESCRIPTION
This command marks an ELF binary to be run under a certain ABI for
.Tn FreeBSD .
.Pp
The options are as follows:
.Bl -tag -width Fl
.It Fl f
forces branding even if the brand requested is unknown, and disables
warnings for unknown brands.
.It Fl v
turns on verbose reporting
.It Fl t Ar string
Brands the given ELF binaries with
.Ar string
as the ABI type.  Currently supported ABI's are
.Dq Tn FreeBSD
and
.Dq Linux .
.It Ar file
If
.Fl t Ar string
is given it will brand
.Ar file
with
.Ar string ,
otherwise it will simply display the branding of 
.Ar file .
.El
.Sh EXAMPLES
The following is an example of a typical usage
of the
.Nm
command:
.Pp
.Dl % brandelf file
.Dl % brandelf -t Linux file
.Sh DIAGNOSTICS
Exit status is 0 on success, and 1 if the command
fails if a file doesn't exist, is too short, fails to brand properly,
or the brand requested is not 'Linux' or 'FreeBSD' and the
.Fl f
option is not set.
.Sh HISTORY
The
.Nm
manual page first appeared in
.Fx 2.2 .
.Sh AUTHORS
This manual page was written by
.An John-Mark Gurney Aq gurney_j@efn.org .
